---
bbb_hostname: "{{ ansible_fqdn }}"
bbb_state: "present"
bbb_version: "bionic-230"
bbb_upgrade_packages: "{{ 'yes' if bbb_state == 'latest' else 'no' }}"
bbb_check_for_running_meetings: true
bbb_letsencrypt_enable: true
bbb_letsencrypt_api: https://acme-v02.api.letsencrypt.org/directory
bbb_nginx_privacy: true
bbb_nginx_listen_https: true
bbb_nginx_root: /var/www/bigbluebutton-default
bbb_client_log_enable: false

bbb_coturn_enable: true
bbb_coturn_port: 3478
bbb_coturn_port_tls: 3443
bbb_coturn_server: "{{ bbb_hostname }}"
bbb_coturn_min_port: 49152
bbb_coturn_max_port: 65535
#bbb_coturn_secret: "" <- undefined to set as required

bbb_turn_enable: true
bbb_stun_servers:
  - server: "{{ bbb_hostname }}"
bbb_ice_servers: []
bbb_turn_servers:
  - server: "{{ bbb_hostname }}"
    port: "{{ bbb_coturn_port }}"
    transport: tcp
    secret: "{{ bbb_coturn_secret }}"
    tls: false
  - server: "{{ bbb_hostname }}"
    port: "{{ bbb_coturn_port_tls }}"
    transport: tcp
    secret: "{{ bbb_coturn_secret }}"
    tls: true

bbb_greenlight_enable: true
bbb_greenlight_users: []
#  - { name: '', email: '', password: '', type: 'user' }
#  - { name: '', email: '', password: '', type: 'admin' }

bbb_webhooks_enable: false
bbb_allow_mail_notifications: true
bbb_greenlight_hosts: "{{ bbb_hostname }}"
bbb_greenlight_image: bigbluebutton/greenlight:v2
bbb_greenlight_image_pull: true
bbb_greenlight_enable_recording_thumbnails: true
bbb_api_demos_enable: false
bbb_app_log_level: "DEBUG"

# freeswitch
bbb_freeswitch_ipv6: true
bbb_freeswitch_ip_address: "{{ ansible_default_ipv4.address }}"
bbb_freeswitch_external_ip: "stun:{{ (bbb_stun_servers | first).server }}"
bbb_freeswitch_muted_sound: true
bbb_freeswitch_unmuted_sound: true
# bbb_freeswitch_socket_password needs to be defined by the User
# bbb_freeswitch_socket_password: "SuperSecurePassword-123456789"
# bbb_freeswitch_default_password: "Needs_To_Be_Defined_By_The_User"

bbb_system_locale: en_US.UTF-8
bbb_mongodb_version: 4.2

# Attention, needs to be encoded with "native2ascii -encoding UTF8"
bbb_default_welcome_message: Welcome to <b>%%CONFNAME%%</b>!<br><br>For help on using BigBlueButton see these (short) <a href="https://www.bigbluebutton.org/html5"><u>tutorial videos</u></a>.<br><br>To join the audio bridge click the phone button.  Use a headset to avoid causing background noise for others.
bbb_default_welcome_message_footer: This server is running <a href="https://docs.bigbluebutton.org/" target="_blank"><u>BigBlueButton</u></a>.
bbb_web_logouturl: default
bbb_allow_request_without_session: false
bbb_ssl_cert: "/etc/letsencrypt/live/{{ bbb_hostname }}/fullchain.pem"
bbb_ssl_key: "/etc/letsencrypt/live/{{ bbb_hostname }}/privkey.pem"
# Set `bbb_letsencrypt_enable: false` to deploy custom certificate and private
# key files.
# bbb_own_cert:
# bbb_own_key:

bbb_meteor: {}
bbb_html5_backend_processes: 2
bbb_html5_frontend_processes: 2

bbb_disable_recordings: false
bbb_recording_config: {}
bbb_dialplan_quality: "cdquality"
bbb_dialplan_energy_level: 100
bbb_dialplan_comfort_noise: 1400

bbb_apt_mirror: "https://ubuntu.bigbluebutton.org"
bbb_apt_key: 770C4267C5E63474D171B60937B5DD5EFAB46452

ansible_python_interpreter: "/usr/bin/python3"

bbb_monitoring_all_in_one_enable: false
bbb_monitoring_all_in_one_directory: "/root/bbb-monitoring"
bbb_monitoring_all_in_one_port: 3001
bbb_monitoring_recordings_from_disk: true
bbb_monitoring_all_in_one_grafana: true
bbb_monitoring_all_in_one_prometheus: true
# bbb_monitoring_htpasswd_user:
# bbb_monitoring_htpasswd:
bbb_monitoring_external: false
bbb_monitoring_exporter_version: "{{ 'latest' if bbb_monitoring_all_in_one_enable | bool else 'HEAD' }}"

bbb_monitoring_systemd_enable: false
bbb_monitoring_systemd_directory: "/opt/bigbluebutton-exporter"
bbb_monitoring_systemd_bind_ip: 0.0.0.0
bbb_monitoring_systemd_port: 9688

bbb_dialin_enabled: false
bbb_dialin_provider_proxy: "sip.example.net"
bbb_dialin_provider_ip: ""
bbb_dialin_provider_username: "provider-account"
bbb_dialin_provider_password: "provider-password"
bbb_dialin_provider_extension: "6135551234"
bbb_dialin_default_number: "613-555-1234"
bbb_dialin_default_play_and_get_digits: "5 5 3 7000 # conference/conf-pin.wav ivr/ivr-that_was_an_invalid_entry.wav pin \\d+"
bbb_dialin_mask_caller: false
bbb_dialin_overwrite_footer: false
bbb_dialin_footer: <br><br>To join this meeting by phone, dial:<br>  %%DIALNUM%%<br>Then enter %%CONFNUM%% as the conference PIN number.

bbb_ntp_cron: false
bbb_ntp_cron_day: "*"
bbb_ntp_cron_hour: "5"
bbb_ntp_cron_minute: "0"

bbb_cron_history: 5
bbb_cron_unrecorded_days: 14
bbb_cron_published_days: 14
bbb_cron_log_history: 28


# additional bbb-web.properties
bbb_default_presentation: "${bigbluebutton.web.serverURL}/{{ bbb_custom_presentation_name | default('default.pdf') }}"
# bbb_custom_presentation: "default.pdf"
# set this to the name the default presentation on the host should have.
# if its not default.pdf moderators are able to delete the default presentation. Thats sometimes helpful and works fine.
# bbb_custom_presentation_name: "default.pdf"

bbb_mute_on_start: false
# ALWAYS_ACCEPT, ALWAYS_DENY, ASK_MODERATOR
bbb_guestpolicy: ALWAYS_ACCEPT
bbb_default_max_users: 0
bbb_default_meeting_duration: 0
bbb_max_num_pages: 200
bbb_max_file_size_upload: 30000000
bbb_max_conversion_time: 5
bbb_num_conversion_threads: 5
bbb_num_file_processor_threads: 2

bbb_breakout_rooms_enabled: true
bbb_breakout_rooms_record: false
bbb_breakout_rooms_privatechat_enabled: true

bbb_user_inactivity_inspect_timer: 0
bbb_user_inactivity_threshold: 30
bbb_user_activity_sign_response_delay: 5
bbb_learning_dashboard_enabled: true

bbb_use_default_logo: false
bbb_default_logo_url: '${bigbluebutton.web.serverURL}/images/logo.png'

bbb_etherpad_disable_cursortrace_plugin: false

bbb_kurento_interfaces:
- "{{ ansible_default_ipv4.interface }}"
- lo

bbb_webrtc_sfu_multikurento:
  balancing-strategy: MEDIA_TYPE
  kurento:
    - ip: "{{ ansible_default_ipv4.address }}"
      url: ws://127.0.0.1:8888/kurento
      mediaType: main
      ipClassMappings:
        local: ""
        private: ""
        public: ""
      options:
        failAfter: 5
        request_timeout: 30000
        response_timeout: 30000
    - ip: "{{ ansible_default_ipv4.address }}"
      url: ws://127.0.0.1:8889/kurento
      mediaType: audio
      ipClassMappings:
        local: ""
        private: ""
        public: ""
      options:
        failAfter: 5
        request_timeout: 30000
        response_timeout: 30000
    - ip: "{{ ansible_default_ipv4.address }}"
      url: ws://127.0.0.1:8890/kurento
      mediaType: content
      ipClassMappings:
        local: ""
        private: ""
        public: ""
      options:
        failAfter: 5
        request_timeout: 30000
        response_timeout: 30000
  freeswitch:
    sip_ip: "{{ ansible_default_ipv4.address }}"
    ip: "{{ ansible_default_ipv4.address }}"
    esl_password: "{{ bbb_freeswitch_socket_password }}"
  log:
    level: warn
    filename:

# Skip all tasks that are incompatible with (unprivileged) containers
bbb_container_compat: false

bbb_ssh_port: '22'
bbb_ufw_reject_networks_default:
    - 0.0.0.0/8
    - 10.0.0.0/8
    - 100.64.0.0/10
    - 169.0.2.0/16
    - 192.0.2.0/24
    - 192.88.99.0/24
    - 192.168.0.0/16
    - 198.18.0.0/15
    - 198.51.100.0/24
    - 203.0.113.0/24
    - 224.0.0.0/4
    - 240.0.0.0/4
bbb_ufw_allow_networks_default:
    - 172.17.0.0/16
    - 127.0.0.1/23
bbb_ufw_allow_networks: "{{ bbb_ufw_allow_networks_custom | default([]) + bbb_ufw_allow_networks_default }}"
bbb_ufw_reject_networks: "{{ bbb_ufw_reject_networks_custom | default([]) + bbb_ufw_reject_networks_default }}"
bbb_firewall_ufw:
  # enable/disable the ufw
  enabled: true
  # enbale/disable ufw logging
  logging: true
  # The default policy
  policy: deny
  # A list of reject_networks that will be reject - https://github.com/ebbba-org/ansible-role-bigbluebutton/issues/31
  # Default reject BOGON https://bgpfilterguide.nlnog.net/guides/bogon_prefixes/#bird
  reject_networks:
    - "{{ bbb_ufw_reject_networks }}"
  # A list of allow_networks - for docker and localhost
  allow_networks:
    - "{{ bbb_ufw_allow_networks }}"
  rules:
    # SSH is allowed by default and limited
    nginx:
      # Allow port 443 - Used by NGINX
      - rule: allow
        port: "443"
        proto: any
      # Allow port 80 - Used by NGINX
      - rule: allow
        port: "80"
        proto: any
    coturn:
      # Allow coturn http port - default used
      - rule: allow
        port: "{{ bbb_coturn_port }}"
        proto: any
      # Allow coturn https (TLS) port - default used
      - rule: allow
        port: "{{ bbb_coturn_port_tls }}"
        proto: any
      # Allow coturn relay ports range - default used
      - rule: allow
        port: "{{ bbb_coturn_min_port }}:{{ bbb_coturn_max_port }}"
        proto: udp
    bigbluebutton:
      # Allow BigBlueButton 16384-32768 FreeSWITCH/HTML5 client RTP
      - rule: allow
        port: 16384:32768
        proto: udp
    default:
      - rule: allow
        port: "{{ bbb_ssh_port }}"
        proto: tcp

# https://pypi.org/project/docker-compose/#history
bbb_docker_compose_version: 1.29.2

bbb_nodejs_version: 12.x
